// Copyright (C) 2004-2009 Christoph Kubisch & Eike Decker
// This file is part of the "Luxinia Engine".
// For conditions of distribution and use, see copyright notice in luxiniapublicsdk.txt
//
// <Author: Christoph Kubisch>


#ifndef __LUXCORE_ENDIAN_H__
#define __LUXCORE_ENDIAN_H__

#include <luxplatform/luxplatform.h>

#ifdef __cplusplus
extern "C"{
#endif

//////////////////////////////////////////////////////////////////////////
// Endianess


booln	Endian_isBig();

short	Endian_shortBig(short	val);
short	Endian_shortLittle(short	val);
long	Endian_longBig(long	val);
long	Endian_longLittle(long	val);
float	Endian_floatBig(float	val);
float	Endian_floatLittle(float	val);

#ifdef __cplusplus
};  
#endif

#endif
